Issue #2821 Removed qpid 0.7 from the baseline.

Amend: Removed build.sh script that builds 0.7 and 0.18.  changed rpms.sh to call 0.18 build.sh script.

Change-Id: Iaf0cc8c0f9c47877f3e0acc02c60f27b25c0fccf

Former-commit-id: 50209c2084 [formerly a007ffabf9 [formerly 5ea4e87d10d335d85547b147228244892772a98f]]
Former-commit-id: a007ffabf9
Former-commit-id: f87d4ccf82
This commit is contained in:
Brad Gonzales 2014-02-27 16:43:27 -06:00
parent 3153786b6f
commit bdadb0266b
19 changed files with 2 additions and 85914 deletions

View file

@ -1,6 +0,0 @@
#!/bin/sh
QPID_INST_PATH=/awips2/qpid
# this should be done already, but just in case
export LD_LIBRARY_PATH=${QPID_INST_PATH}/lib
${QPID_INST_PATH}/sbin/qpidd --config ${QPID_INST_PATH}/etc/qpidd.conf --no-module-dir

File diff suppressed because it is too large Load diff

Binary file not shown.

Before

Width:  |  Height:  |  Size: 52 KiB

View file

@ -1,123 +0,0 @@
#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the License for the
# specific language governing permissions and limitations
# under the License.
#
#
# qpidd Startup script for the Qpid messaging daemon.
#
### BEGIN INIT INFO
# Provides: qpidd
# Required-Start: $local_fs
# Required-Stop: $local_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: start or stop qpidd
# Description: Qpidd is an AMQP broker. It receives, stores, routes and forwards messages using the AMQP protcol.
### END INIT INFO
# chkconfig: - 85 15
# description: Qpidd is an AMQP broker. It receives, stores, routes and forwards messages using the AMQP protcol.
# processname: qpidd
QPID_HOME=/awips2/qpid
prog=qpidd
lockfile=$QPID_HOME/var/lock/subsys/$prog
pidfile=$QPID_HOME/var/run/qpidd.pid
queueCreatorScript=$QPID_HOME/sbin/queueCreator.sh
# Source function library.
. /etc/rc.d/init.d/functions
if [ -f /etc/sysconfig/$prog ] ; then
. /etc/sysconfig/$prog
fi
RETVAL=0
#ensure binary is present and executable
if [[ !(-x $QPID_HOME/sbin/$prog) ]] ; then
echo "$QPID_HOME/sbin/$prog not found or not executable"
exit 5
fi
#ensure user has sufficient permissions
runuser -s /bin/sh awips -c "echo x > /dev/null" 2> /dev/null || RETVAL=4
if [ $RETVAL = 4 ]; then
echo "user had insufficient privilege";
exit $RETVAL
fi
start() {
ulimit -n 2500
echo -n $"Starting Qpid AMQP daemon: "
daemon --pidfile $pidfile --check $prog --user awips $QPID_HOME/sbin/$prog --daemon --config $QPID_HOME/etc/qpidd.conf $QPIDD_OPTIONS
RETVAL=$?
echo
[ $RETVAL = 0 ] && touch $lockfile
if [ $RETVAL = 0 ]; then
touch $pidfile
chown awips:fxalpha $pidfile
[ -x /sbin/restorecon ] && /sbin/restorecon $pidfile
runuser - -s /bin/sh awips -c "$QPID_HOME/sbin/$prog --check --config $QPID_HOME/etc/qpidd.conf > $pidfile"
echo "Creating durable queues"
$queueCreatorScript
fi
return $RETVAL
}
stop() {
echo -n $"Stopping Qpid AMQP daemon: "
killproc -p ${pidfile} $prog
RETVAL=$?
echo
[ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
}
reload() {
echo 1>&2 $"$0: reload not supported"
exit 3
}
restart() {
stop
start
}
# See how we were called.
case "$1" in
start|stop|restart|reload)
$1
;;
status)
status $prog
RETVAL=$?
;;
force-reload)
restart
;;
try-restart|condrestart)
[ -e $lockfile ] && restart || :
;;
*)
echo 1>&2 $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|force-reload}"
exit 2
esac
exit $RETVAL

View file

@ -1,30 +0,0 @@
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the License for the
# specific language governing permissions and limitations
# under the License.
#
# Configuration file for qpidd. Entries are of the form:
# name=value
#
# (Note: no spaces on either side of '='). Using default settings:
# "qpidd --help" or "man qpidd" for more details.
auth=no
worker-threads=17
data-dir=/awips2/qpid/data
store-dir=/awips2/qpid/messageStore
pid-dir=/awips2/qpid/var/lock
num-jfiles=16
jfile-size-pgs=24

View file

@ -1,63 +0,0 @@
#!/bin/sh
export PATH=/awips2/python/bin:$PATH
export LD_LIBRARY_PATH=/awips2/python/lib:$LD_LIBRARY_PATH
port=5672
#define 96 Meg persistence queues
QUEUES=('external.dropbox' 'Ingest.Text')
for queue in ${QUEUES[*]};
do
echo "Creating queue $queue"
qpid-config --broker-addr localhost:$port add queue $queue --durable --file-count 32 --file-size 48
done
#define 48 Meg persistence queues
QUEUES=('Ingest.Grib' 'Ingest.Radar' 'watchwarn' 'cpgsrvFiltering' 'Ingest.modelsounding' 'Ingest.Shef' 'Ingest.obs' 'Ingest.dpa')
for queue in ${QUEUES[*]};
do
echo "Creating queue $queue"
qpid-config --broker-addr localhost:$port add queue $queue --durable --file-count 32 --file-size 24
done
#define 24 Meg Dat queues
QUEUES=('ffmp' 'cwat' 'vil' 'qpf' 'preciprate' 'fssobs' 'fog')
for queue in ${QUEUES[*]};
do
echo "Creating queue ${queue}Generate"
qpid-config --broker-addr localhost:$port add queue ${queue}Generate --durable --file-count 16 --file-size 24
done
#define 24 Meg persistence queues for GFE
QUEUES=('activeTablePending' 'gfeSvcBackupOp' 'gfeIscDataReceive' 'edex.tpcWatch' 'edex.spcWatch')
for queue in ${QUEUES[*]};
do
echo "Creating queue $queue"
qpid-config --broker-addr localhost:$port add queue $queue --durable --file-count 16 --file-size 24
done
#define 24 Meg persistence queues for ingest
QUEUES=('vaa' 'textlightning' 'tcs' 'tcg' 'taf' 'svrwx' 'sfcobs' 'redbook' 'recco' 'q2' 'profiler' 'poessounding' 'pirep' 'lsr' 'loctables' 'ldadprofiler' 'ldadmesonet' 'ldadhydro' 'goessounding' 'cwa' 'ccfp' 'bufrua' 'bufrssmi' 'bufrsigwx' 'bufrquikscat' 'bufrncwf' 'bufrmthdw' 'bufrmos' 'bufrhdw' 'bufrascat' 'binlightning' 'airmet' 'airep' 'acars' 'Warning' 'ShefStaged' 'Satellite')
for queue in ${QUEUES[*]};
do
echo "Creating queue Ingest.$queue"
qpid-config --broker-addr localhost:$port add queue Ingest.$queue --durable --file-count 16 --file-size 24
done
#define 24 Meg persistence queues for HPE ingest
QUEUES=('Ingest.dhr' 'dhrProcess')
for queue in ${QUEUES[*]};
do
echo "Creating queue $queue"
qpid-config add queue $queue --durable --file-count 16 --file-size 24
done
#define 24 Meg persistence queues for HPE ingest
QUEUES=('Ingest.dhr' 'dhrProcess')
for queue in ${QUEUES[*]};
do
echo "Creating queue $queue"
qpid-config add queue $queue --durable --file-count 16 --file-size 24
done

File diff suppressed because it is too large Load diff

File diff suppressed because it is too large Load diff

View file

@ -1,10 +0,0 @@
#!/bin/sh
#Add local dir processing
PATH_TO_HERE=`dirname $0`
cd $PATH_TO_HERE
export TOP_DIR=`pwd`
echo $TOP_DIR
rpmbuild -ba --target=i386 --define "_topdir $TOP_DIR" SPECS/qpid-cpp-mrg.spec

View file

@ -1,68 +0,0 @@
#!/bin/bash
SPECS_FILE="qpid-cpp-mrg.spec"
# Verify that the correct version of swig is installed.
REQUIRED_SWIG_VERSION="SWIG Version 2.0"
COMMAND=`which swig`
RC=$?
if [ ${RC} -ne 0 ]; then
echo "ERROR: 'swig v2.0.X' Is Required To Successfully Build The QPID RPMs."
echo "Unable To Continue ... Terminating."
exit 1
fi
SWIG_VERSION=`swig -version | grep Version`
RC=$?
if [ ${RC} -ne 0 ]; then
echo "ERROR: Unable To Verify The Installed Version Of 'swig'."
echo "Unable To Continue ... Terminating."
exit 1
fi
VERIFY_SWIG_VERSION=`echo "${SWIG_VERSION}" | grep "${REQUIRED_SWIG_VERSION}"`
if [ "${VERIFY_SWIG_VERSION}" = "" ]; then
echo "ERROR: 'swig v2.0.X' Is Required To Successfully Build The QPID RPMs."
echo " '${SWIG_VERSION}' Was Detected."
echo "Unable To Continue ... Terminating."
exit 1
fi
# We are in the awips2.qpid/deploy.builder directory when we are started.
cd ../
export QPID_WORKSPACE_DIR=`pwd`
# Purge the BUILD directory, if necessary.
if [ -d ${QPID_WORKSPACE_DIR}/BUILD ]; then
rm -rf ${QPID_WORKSPACE_DIR}/BUILD/*
fi
# Purge the RPMS directory, if necessary.
if [ -d ${QPID_WORKSPACE_DIR}/RPMS/i386 ]; then
rm -rf ${QPID_WORKSPACE_DIR}/RPMS/*
fi
if [ ! -d ${QPID_WORKSPACE_DIR}/BUILD ]; then
mkdir -p ${QPID_WORKSPACE_DIR}/BUILD
if [ $? -ne 0 ]; then
exit 1
fi
fi
if [ ! -d ${QPID_WORKSPACE_DIR}/SRPMS ]; then
mkdir -p ${QPID_WORKSPACE_DIR}/SRPMS
if [ $? -ne 0 ]; then
exit 1
fi
fi
# Conceal The SWIG Requirement In The Specs File.
perl -p -i -e "s/BuildRequires: swig/#BuildRequires: swig/g" \
SPECS/${SPECS_FILE}
rpmbuild -ba --target=i386 --define '_topdir %(echo ${QPID_WORKSPACE_DIR})' \
SPECS/${SPECS_FILE}
RC=$?
if [ ${RC} -ne 0 ]; then
exit 1
fi
exit 0

View file

@ -1,59 +0,0 @@
#!/bin/bash
# determine where the script is
path_to_script=`readlink -f $0`
dir=$(dirname $path_to_script)
# this script will build both versions of qpid unless an argument is passed
# to it with the version of qpid to build.
function build018()
{
pushd . > /dev/null 2>&1
cd ${dir}/0.18/deploy.builder
if [ $? -ne 0 ]; then
return 1
fi
/bin/bash build.sh
if [ $? -ne 0 ]; then
return 1
fi
popd > /dev/null 2>&1
}
function build07()
{
pushd . > /dev/null 2>&1
cd ${dir}/0.7/deploy.builder
if [ $? -ne 0 ]; then
return 1
fi
/bin/bash build.sh
if [ $? -ne 0 ]; then
return 1
fi
popd > /dev/null 2>&1
}
VERSION_TO_BUILD="${1}"
if [ "${1}" = "0.7" ]; then
build07
exit $?
fi
if [ "${1}" = "0.18" ]; then
build018
exit $?
fi
# no version specified; build both
build07
if [ $? -ne 0 ]; then
exit 1
fi
build018
if [ $? -ne 0 ]; then
exit 1
fi
exit 0

View file

@ -49,13 +49,13 @@ function buildQPID()
pushd . > /dev/null 2>&1
cd ${WORKSPACE}/rpms/awips2.qpid
cd ${WORKSPACE}/rpms/awips2.qpid/0.18/deploy.builder
if [ $? -ne 0 ]; then
echo "ERROR: Failed to build the qpid rpms."
return 1
fi
/bin/bash build.sh 0.18
/bin/bash build.sh
if [ $? -ne 0 ]; then
echo "ERROR: Failed to build the qpid rpms."
return 1